## ros-melodic-khi-duaro-gazebo 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_duaro_gazebo)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch script
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS )

=== debian/changelog ===
ros-melodic-khi-duaro-gazebo (1.4.0-2bionic) bionic; urgency=high

  * Merge pull request #62 <https://github.com/Kawasaki-Robotics/khi_robot/issues/62> from y-yosuke/mod-goinitial
    mod go_initial.sh for Gazebo simulator with ROS Melodic.
  * mod go_initial.sh for Gazebo simulator with using in ROS Melodic.
  * Contributors: HirokiTakami, Yosuke Yamamoto

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.3.0-2bionic) bionic; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.2.0-2bionic) bionic; urgency=high

  * Add position_controllers/JointGroupPositionController (#22)
    * Add position_controllers/JointGroupPositionController
    * fixup! Add position_controllers/JointGroupPositionController
  * Contributors: Daisuke NAKAMICHI

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.1.2-2bionic) bionic; urgency=high

  * add USE_SOURCE_PERMISSIONS in CMakeLists.txt files those package have executable scripts (#18 <https://github.com/Kawasaki-Robotics/khi_robot/issues/18>)
  * Contributors: Yosuke Yamamoto

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 06 Jun 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.1.1-2bionic) bionic; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 24 Apr 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.1.0-2bionic) bionic; urgency=high

  * Merge pull request #10 <https://github.com/Kawasaki-Robotics/khi_robot/issues/10> from d-nakamichi/khi_prefix
    Prefix all pkgs with 'khi_'
  * Convert duaro_* to khi_duaro_*
  * Contributors: Hiroki Matsui, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 10 Apr 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (1.0.0-2bionic) bionic; urgency=high

  * Refactoring
  * Contributors: matsui_hiro, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 27 Mar 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (0.9.4-2bionic) bionic; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 24 Jan 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (0.9.3-2bionic) bionic; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Sun, 20 Jan 2019 15:00:00 -0000

ros-melodic-khi-duaro-gazebo (0.9.2-2bionic) bionic; urgency=high

  * RESTART function
  * KHI Command service
  * duAro URDF modification
  * RS080N
  * Unifying RS series URDF/Gazebo into rs_description, rs_gazebo
  * Modification of ACTIVATING state
  * Modification of QUIT state
  * Modification of state definition
  * Changing start position "ALL 0 degree" to "Current degree position"
  * Contributors: matsui_hiro, nakamichi_d

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Wed, 26 Dec 2018 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-khi-duaro-gazebo
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-ros-control
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-melodic-khi-duaro-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The khi_duaro_gazebo package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-khi-duaro-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
